MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::PetiteList Class Reference
Inheritance diagram for sc::PetiteList:
[legend]
Collaboration diagram for sc::PetiteList:
[legend]

## Public Member Functions
| PetiteList (const Ref< GaussianBasisSet > &, const Ref< Integral > &)
Ref< GaussianBasisSet > | basis ()
Ref< Integral > | integral ()
Ref< PetiteList > | clone ()
int | nirrep () const
int | order () const
int | atom_map (int n, int g) const
int | shell_map (int n, int g) const
int | lambda (int ij) const
int | lambda (int i, int j) const
int | in_p1 (int n) const
int | in_p2 (int ij) const
int | in_p2 (int i, int j) const
| Same as previous, except for it takes i and j separately.
int | in_p4 (int ij, int kl, int i, int j, int k, int l) const
int | in_p4 (int i, int j, int k, int l) const
| Same as previous, except for doesn't assume ij > kl and recomputes them.
int | nfunction (int i) const
int | nblocks () const
void | print (std::ostream &=ExEnv::out0(), int verbose=1)
RefSCDimension | AO_basisdim ()
RefSCDimension | SO_basisdim ()
RefSCMatrix | r (int g)
SO_block * | aotoso_info ()
RefSCMatrix | aotoso ()
RefSCMatrix | sotoao ()
void | symmetrize (const RefSymmSCMatrix &skel, const RefSymmSCMatrix &sym)
RefSymmSCMatrix | to_SO_basis (const RefSymmSCMatrix &)
RefSymmSCMatrix | to_AO_basis (const RefSymmSCMatrix &)
RefSCMatrix | evecs_to_AO_basis (const RefSCMatrix &)
RefSCMatrix | evecs_to_SO_basis (const RefSCMatrix &)
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members
Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

The documentation for this class was generated from the following file:

- petite.h